| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Data Structures | Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes
ImGui::FileBrowser Class Reference

`#include <ImFileBrowser.hpp>`

## Data Structures
struct | FileRecord
class | ScopeGuard

## Public Member Functions
| FileBrowser (ImGuiFileBrowserFlags flags=0)
| FileBrowser (const FileBrowser &copyFrom)
FileBrowser & | operator= (const FileBrowser &copyFrom)
void | SetTitle (std::string title)
void | Open ()
void | Close ()
bool | IsOpened () const noexcept
void | Display ()
bool | HasSelected () const noexcept
bool | SetPwd (const std::filesystem::path &pwd=std::filesystem::current_path())
std::filesystem::path | GetSelected () const
void | ClearSelected ()
void | SetTypeFilters (const std::vector< const char *> &typeFilters)

## Private Member Functions
void | SetPwdUncatched (const std::filesystem::path &pwd)

## Private Attributes
ImGuiFileBrowserFlags | flags_
std::string | title_
std::string | openLabel_
bool | openFlag_
bool | closeFlag_
bool | isOpened_
bool | ok_
std::string | statusStr_
std::vector< const char * > | typeFilters_
int | typeFilterIndex_
std::filesystem::path | pwd_
std::string | selectedFilename_
std::vector< FileRecord > | fileRecords_
std::unique_ptr< std::array< char, INPUT_NAME_BUF_SIZE > > | inputNameBuf_
std::string | openNewDirLabel_
std::unique_ptr< std::array< char, INPUT_NAME_BUF_SIZE > > | newDirNameBuf_

## Static Private Attributes
static constexpr size_t | INPUT_NAME_BUF_SIZE = 512

## Constructor & Destructor Documentation

## ◆ FileBrowser() [1/2]

ImGui::FileBrowser::FileBrowser | ( | ImGuiFileBrowserFlags | flags = `0` | ) |
| inline explicit

## ◆ FileBrowser() [2/2]

ImGui::FileBrowser::FileBrowser | ( | const FileBrowser & | copyFrom | ) |
| inline

## Member Function Documentation

## ◆ ClearSelected()

void ImGui::FileBrowser::ClearSelected | ( |  | ) |
| inline

## ◆ Close()

void ImGui::FileBrowser::Close | ( |  | ) |
| inline

## ◆ Display()

void ImGui::FileBrowser::Display | ( |  | ) |
| inline

## ◆ GetSelected()

std::filesystem::path ImGui::FileBrowser::GetSelected | ( |  | ) | const
| inline

## ◆ HasSelected()

bool ImGui::FileBrowser::HasSelected | ( |  | ) | const
| inline noexcept

## ◆ IsOpened()

bool ImGui::FileBrowser::IsOpened | ( |  | ) | const
| inline noexcept

## ◆ Open()

void ImGui::FileBrowser::Open | ( |  | ) |
| inline

## ◆ operator=()

ImGui::FileBrowser & ImGui::FileBrowser::operator= | ( | const FileBrowser & | copyFrom | ) |
| inline

## ◆ SetPwd()

bool ImGui::FileBrowser::SetPwd | ( | const std::filesystem::path & | pwd = `std::filesystem::current_path()` | ) |
| inline

## ◆ SetPwdUncatched()

void ImGui::FileBrowser::SetPwdUncatched | ( | const std::filesystem::path & | pwd | ) |
| inline private

## ◆ SetTitle()

void ImGui::FileBrowser::SetTitle | ( | std::string | title | ) |
| inline

## ◆ SetTypeFilters()

void ImGui::FileBrowser::SetTypeFilters | ( | const std::vector< const char *> & | typeFilters | ) |
| inline

## Field Documentation

## ◆ closeFlag_

bool ImGui::FileBrowser::closeFlag_
| private

## ◆ fileRecords_

std::vector<FileRecord> ImGui::FileBrowser::fileRecords_
| private

## ◆ flags_

ImGuiFileBrowserFlags ImGui::FileBrowser::flags_
| private

## ◆ INPUT_NAME_BUF_SIZE

constexpr size_t ImGui::FileBrowser::INPUT_NAME_BUF_SIZE = 512
| static private

## ◆ inputNameBuf_

std::unique_ptr<std::array<char, INPUT_NAME_BUF_SIZE> > ImGui::FileBrowser::inputNameBuf_
| private

## ◆ isOpened_

bool ImGui::FileBrowser::isOpened_
| private

## ◆ newDirNameBuf_

std::unique_ptr<std::array<char, INPUT_NAME_BUF_SIZE> > ImGui::FileBrowser::newDirNameBuf_
| private

## ◆ ok_

bool ImGui::FileBrowser::ok_
| private

## ◆ openFlag_

bool ImGui::FileBrowser::openFlag_
| private

## ◆ openLabel_

std::string ImGui::FileBrowser::openLabel_
| private

## ◆ openNewDirLabel_

std::string ImGui::FileBrowser::openNewDirLabel_
| private

## ◆ pwd_

std::filesystem::path ImGui::FileBrowser::pwd_
| private

## ◆ selectedFilename_

std::string ImGui::FileBrowser::selectedFilename_
| private

## ◆ statusStr_

std::string ImGui::FileBrowser::statusStr_
| private

## ◆ title_

std::string ImGui::FileBrowser::title_
| private

## ◆ typeFilterIndex_

int ImGui::FileBrowser::typeFilterIndex_
| private

## ◆ typeFilters_

std::vector<const char*> ImGui::FileBrowser::typeFilters_
| private

The documentation for this class was generated from the following file:

- FlingEngine/Editor/inc/ImFileBrowser.hpp